Skip to main content
GET
/
analytics
/
sessions
List Sessions
curl --request GET \
  --url https://api-sandbox.letshum.com/analytics/sessions \
  --header 'Authorization: Bearer <token>'
{
  "message": "Analytics sessions",
  "request_status": "ok",
  "data": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "created_at": "2026-03-01T12:00:00Z",
      "campaign_id": "spring_promo_2026",
      "address": {
        "street1": "123 Main St",
        "street2": "Apt 4B",
        "city": "Detroit",
        "state": "MI",
        "zip": "48201"
      },
      "furthest_step": 6,
      "order_number": "HUM-A1B2C3D4",
      "ordered_at": "2026-03-01T12:30:00Z",
      "installed": true,
      "installed_at": "2026-03-05T14:00:00Z",
      "commission_cents": 5000
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "created_at": "2026-03-01T11:00:00Z",
      "campaign_id": null,
      "address": {
        "street1": "456 Oak Ave",
        "street2": null,
        "city": "Ann Arbor",
        "state": "MI",
        "zip": "48104"
      },
      "furthest_step": 3,
      "order_number": null,
      "ordered_at": null,
      "installed": null,
      "installed_at": null,
      "commission_cents": null
    }
  ],
  "meta": {
    "responded_at": "2026-03-12T15:00:00Z",
    "page": 1,
    "pages": 5,
    "count": 237
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication using API tokens. Include the token in the Authorization header as: Authorization: Bearer <token>

Obtain tokens through your Hum API account dashboard or contact support@letshum.com for access.

Query Parameters

page
integer
default:1

Page number (default 1, 50 results per page)

Required range: x >= 1
Example:

1

start_date
string<date-time>

Filter sessions created on or after this date (ISO 8601)

Example:

"2026-01-01T00:00:00Z"

end_date
string<date-time>

Filter sessions created on or before this date (ISO 8601)

Example:

"2026-03-31T23:59:59Z"

token_ids[]
string<uuid>[]

Filter to sessions from specific API tokens. All provided token IDs must belong to the authenticated client or a 403 is returned.

with_clicks
boolean
default:false

When true, only return sessions that have click activity

Response

Paginated list of analytics sessions

message
string
required

A message returned by the API. Includes a human-readable message about the status of the request.

Example:

"What happened in the most recent request."

request_status
enum<string>
required

A status code summarizing the outcome of this response.

  • ok: Request was successful
  • warning: Request was processed but with some issues
  • error: Request failed
Available options:
ok,
warning,
error
Example:

"ok"

data
object[]
required
meta
object
required

Pagination metadata for list responses.